
{
    // send URL clicked to background.js
    // background.jsにクリックしたURLを送る
    let sendURLToBackground = (win) => {
       
        // get click event
        // クリックイベントをとる
        win.addEventListener('click', evt => {
            
            // check if click event is user action
            // クリックイベントはユーザーからかどうかチェック
            if (!evt.isTrusted) return;

            // check if only Left mouse button is clicked
            // マウスの左ボタンだけをクリックするのかチェック
            if (evt.button === 0 && !evt.altKey && !evt.ctrlKey && !evt.metaKey && !evt.shiftKey) {
                // get cloest <a> tag
                // <a>タグをとる
                let atag = evt.target.closest('a');
                if (atag) {
                    if (atag.href) {
                        // check if the link is file path
                        // リンクはファイルパスかどうかチェック
                        if (atag.href.startsWith('file://')) {                          
                            try {
                                // prevent default action of file path
                                // ファイルパスのデフォルトアクションを防ぐ
                                evt.preventDefault();

                                // send link to background.js
                                // background.jsにリンクを送る
                                chrome.runtime.sendMessage({
                                    todo: 'open-explorer',
                                    url: atag.href
                                }, function(response) {
                                    // console.log(response);
                                });
                            } catch (err) {
                                console.log(err);
                            }
                        }
                    }
                }
            }
        }, {
            passive: false
        });
    }

    sendURLToBackground(window);

}
