
const appName = "co.jp.sd.open_explorer";

const localeCode = chrome.i18n.getMessage('_locale_code');
{
  document.querySelectorAll(`[lang="${localeCode}"]`).forEach(e => {
    e.style.display = 'inline';
  });
}
document.title = chrome.i18n.getMessage('setup_page_title');

{

  document.getElementById("extName").innerHTML = chrome.runtime.getManifest().name;
 // document.getElementById("extNameJP").innerHTML = chrome.runtime.getManifest().name;

  const manifest = {
    "name": "co.jp.sd.open_explorer",
    "description": "Open link in explorer",
    "path": "nativehost.bat",
    "type": "stdio",
    "allowed_origins": [
      `chrome-extension://${chrome.runtime.id}/`,
    ]
  };
  const manifestJson = JSON.stringify(manifest, null, '\t');


  const resp = await fetch("/nativehost.zip");
  const host_blob = await resp.blob();
  const zip = new JSZip();
  const top_zip = await zip.loadAsync(host_blob);
  const host_zip = await top_zip.folder("nativehost");
  host_zip.file("manifest.json", manifestJson);
  const blob2 = await top_zip.generateAsync({ type: "blob" });
  const hostZipLink = document.getElementById('host_zip_link');
  hostZipLink.href = URL.createObjectURL(blob2);


  document.getElementById("check").addEventListener("click", function (e) {
    chrome.runtime.sendNativeMessage(appName, { todo: "get-path" }, response => {

      // console.info("msg: " + JSON.stringify(response));
      if (typeof response === "undefined") {
        alert((localeCode == "ja" ? "<< インストールされていません。 >>\n\n" : "<< NOT INSTALLED >>\n\n") + chrome.runtime.lastError.message);
      } else if ("error" in response) {
        alert((localeCode == "ja" ? "<< エラー >>\n\n" : "<< ERROR in Native Messageing >>\n\n") + JSON.stringify(response, ["error", "message"], 4));
      } else {
        alert((localeCode == "ja" ? "<< インストール済み >>\n\nネイティブメッセージングは以下のパスにインストールされています。\n"
          : "<< INSTALLATION OK >>\n\nNative client is installed in ") + `${response.cwd}`);
      }
    });
  });

}
